org.springframework.messaging.handler.invocation.reactive

## Class ReturnValueHandlerConfigurer

- java.lang.Object
- - org.springframework.messaging.handler.invocation.reactive.ReturnValueHandlerConfigurer

    public class ReturnValueHandlerConfigurer
    extends Object

Assist with configuration for handler method return value handlers. At present, it supports only providing a list of custom handlers.

Since:
  5.2
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`ReturnValueHandlerConfigurer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCustomHandler(HandlerMethodReturnValueHandler... handlers)` Configure custom return value handlers for handler methods.
`List<HandlerMethodReturnValueHandler>` `getCustomHandlers()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReturnValueHandlerConfigurer

    public ReturnValueHandlerConfigurer()

### Method Detail

#### addCustomHandler

    public void addCustomHandler(HandlerMethodReturnValueHandler... handlers)

Configure custom return value handlers for handler methods.

Parameters:
  `handlers` - the handlers to add

#### getCustomHandlers

    public List<HandlerMethodReturnValueHandler> getCustomHandlers()